com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeMultiSelectInputBuilder<T,B extends BaseSelectModeMultiSelectInputBuilder<T,B>>

- Type Parameters:
    `T` - Value type
    `B` - Actual builder type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,B>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,B>, ComponentConfigurator<B>, InputBuilder<Set<T>,MultiSelect<T>,B>, InputConfigurator<Set<T>,B>, MultiSelectInputBuilder<T,B>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,B>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,B>
  All Known Subinterfaces:
    BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>

      public interface BaseSelectModeMultiSelectInputBuilder<T,B extends BaseSelectModeMultiSelectInputBuilder<T,B>>
      extends MultiSelectInputBuilder<T,B>

  A `MultiSelectInputBuilder` for `RenderingMode#NATIVE_SELECT` and `RenderingMode#SELECT`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>` A `MultiSelectInputBuilder` for `RenderingMode#OPTIONS`.
    `static interface` | `BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>` A `MultiSelectInputBuilder` for `RenderingMode#SELECT`.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.